package de.avatic.taricdb.model;

import java.time.LocalDate;

import org.springframework.data.relational.core.mapping.Table;

import jakarta.validation.constraints.Size;


@Table("measure_series_desc")
public class MeasureSeriesDesc {

    private Integer id;

    @Size(max = 2)
    private String lang;

    private String desc;

    private LocalDate descStartDate;



    public MeasureSeriesDesc(String lang, String desc) {
		this.lang = lang;
        this.desc = desc;
	}

	public Integer getId() {
        return id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public String getLang() {
        return lang;
    }

    public void setLang(final String lang) {
        this.lang = lang;
    }

    public String getDesc() {
        return desc;
    }

    public void setDescc(final String desc) {
        this.desc = desc;
    }

    public LocalDate getDescStartDate() {
        return descStartDate;
    }

    public void setDescStartDate(final LocalDate descStartDate) {
        this.descStartDate = descStartDate;
    }

}
